/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_EDITABLE
#define LGUI_EDITABLE

#include "lgui.h"

int lgui_editable_insert_text(lua_State* L);
int lgui_editable_delete_text(lua_State* L);
int lgui_editable_get_chars(lua_State* L);
int lgui_editable_select_region(lua_State* L);
int lgui_editable_get_selection_bounds(lua_State* L);
int lgui_editable_cut_clipboard(lua_State* L);
int lgui_editable_copy_clipboard(lua_State* L);
int lgui_editable_paste_clipboard(lua_State* L);
int lgui_editable_delete_selection(lua_State* L);
int lgui_editable_set_position(lua_State* L);
int lgui_editable_get_position(lua_State* L);

#endif
