/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_TREEMODEL
#define LGUI_TREEMODEL

#include "lgui.h"

/* GtkTreeIter */

int lgui_tree_iter_new(lua_State* L);

/* GtkTreeModel */

int lgui_tree_model_get_iter(lua_State* L);
int lgui_tree_model_get_iter_from_string(lua_State* L);
int lgui_tree_model_get_string_from_iter(lua_State* L);
int lgui_tree_model_get_iter_first(lua_State* L);
int lgui_tree_model_iter_next(lua_State* L);
int lgui_tree_model_get(lua_State* L);
int lgui_tree_model_get_n_columns(lua_State* L);

/* GtkTreeSortable */

/*
int lgui_tree_sortable_set_sort_func(lua_State *L);
int lgui_tree_sortable_set_sort_column_id(lua_State *L);
*/

#endif
