#!/usr/bin/env lua

--[[
	Tests callbacks.
--]]

require("lgui")

local label = lgui.Label.new("mylabel")
local main = lobj.MainLoop.new()
local count = 0

lobj.Timeout.add(lobj.PRIORITY_DEFAULT, 1, 
	function(n)
		assert(n:get("label") == "mylabel")
		count = count + 1
		
		if count < 99999 then
			return true
		else
			main:quit()
			return false
		end
	end, label)
	
main:run()

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
