#!/usr/bin/env lua

--[[
	Checks for leaks and errors in lgui.Cursor.
--]]

require("lgui")

local w = lgui.Window.new()
local b = lgui.Button.new()
w:add(b)
b:realize()
local gw = b:get("window"):cast(lgui.GdkWindow)

for i = 1, 9999 do
	gw:setCursor(lgui.Cursor.new(lgui.GDK_CROSS))
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
