#!/usr/bin/env lua

--[[
	Tests the reference counting.
	Remember that the objects are finalized only on garbage collection!
--]]

require("lgui")

for i = 1, 20000 do
	local l1 = lgui.ListStore.new("gchararray")
	local l2 = lgui.TreeModelFilter.new(l1)
	l2:get("child-model")
	l2:get("child-model")
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
