#!/usr/bin/env lua

--[[
	Checks type handling.
--]]

require("lgui")

local obj = lgui.Button.new()

for i = 1, 99999 do
	local type = lobj.Type.fromInstance(obj)
	local name = lobj.Type.nameFromType(type)
	assert(type == lobj.Type.fromName(name))
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
