/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_BOX
#define LGUI_BOX

#include "widget.h"

/* Box */

int lgui_hbox_new(lua_State* L);
int lgui_vbox_new(lua_State* L);
int lgui_box_pack_start(lua_State* L);
int lgui_box_pack_end(lua_State* L);

/* ButtonBox */

int lgui_hbutton_box_new(lua_State* L);
int lgui_vbutton_box_new(lua_State* L);

#endif
