/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_CELL
#define LGUI_CELL

#include "widget.h"

/* GtkCellRenderer */

int lgui_cell_renderer_text_new(lua_State* L);
int lgui_cell_renderer_pixbuf_new(lua_State* L);
int lgui_cell_renderer_progress_new(lua_State* L);
int lgui_cell_renderer_toggle_new(lua_State* L);
int lgui_cell_renderer_accel_new(lua_State* L);
int lgui_cell_renderer_combo_new(lua_State* L);
int lgui_cell_renderer_spin_new(lua_State* L);

/* GtkCellLayout */

int lgui_cell_layout_add_attribute(lua_State* L);
int lgui_cell_layout_clear_attributes(lua_State* L);
int lgui_cell_layout_clear(lua_State* L);
int lgui_cell_layout_pack_start(lua_State* L);
int lgui_cell_layout_pack_end(lua_State* L);
int lgui_cell_layout_reorder(lua_State* L);

#endif
