/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_CLIPBOARD
#define LGUI_CLIPBOARD

#include "lgui.h"

int lgui_clipboard_get(lua_State* L);
int lgui_clipboard_set_text(lua_State* L);
int lgui_clipboard_get_text(lua_State* L);
int lgui_clipboard_set_image(lua_State* L);
int lgui_clipboard_get_image(lua_State* L);
int lgui_clipboard_store(lua_State* L);
int lgui_clipboard_is_text_available(lua_State* L);
int lgui_clipboard_clear(lua_State* L);

#endif

