/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_TOOLBAR
#define LGUI_TOOLBAR

#include "container.h"

/* GtkToolbar */

int lgui_toolbar_new(lua_State* L);
int lgui_toolbar_insert(lua_State* L);

/* GtkToolItem */

int lgui_tool_item_new(lua_State* L);
int lgui_tool_button_new(lua_State* L);
int lgui_tool_button_new_from_stock(lua_State* L);

/* GtkSeparatorToolIcon */

int lgui_separator_tool_item_new(lua_State* L);

/* GtkMenuToolButton */

int lgui_menu_tool_button_new(lua_State* L);
int lgui_menu_tool_button_new_from_stock(lua_State* L);

#endif
